
/*
 * MotorKnob
 *
 * A stepper motor follows the turns of a potentiometer
 * (or other sensor) on analog input 0.
 *
 * http://www.arduino.cc/en/Reference/Stepper
 * This example code is in the public domain.
 */

#include <Stepper.h>

// change this to the number of steps on your motor
#define STEPS 128

// create an instance of the stepper class, specifying
// the number of steps of the motor and the pins it's
// attached to
Stepper stepper(STEPS, 8, 9, 10, 11);

// the previous reading from the analog input
int previous = 0;
int ledstrip = 12;

void setup()
{
  // set the speed of the motor to 30 RPMs
  stepper.setSpeed(30);
  Serial.begin(9600);
}

void loop()
{
// get the sensor value
//  int light=analogRead(A1);        //Check if box is open
//  if(light < 750)                  //if box is open
//  {
    int val = analogRead(A0);      //Check for pot value (speed control)
    val = map(val,0,1023,10,95);   //Map pot value to speed value
    stepper.setSpeed(val);         //Set stepper speed to adjusted pot value
    stepper.step(5);               //Step 5 steps before checking again
    digitalWrite(12,HIGH);         //Turn LEDs on
//  }
//  else                             //If box is not open
//  {                            
//    digitalWrite(8,LOW);           //Write Motor 1 pin to low 
//    digitalWrite(9,LOW);           //Write Motor 2 pin to low 
//    digitalWrite(10,LOW);          //Write Motor 3 pin to low 
//    digitalWrite(11,LOW);          //Write Motor 4 pin to low 
//    digitalWrite(12,LOW);          //Turn LEDs off 
//  }
}
